//
// ClassException.java
//
// Copyright (c) 1996 John Leach. All Rights Reserved.
//
// Permission to use, copy, modify, and distribute this software and its
// documentation for NON-COMMERCIAL purposes and without fee is hereby granted
// provided that this copyright notice appears in all copies.
//
// JOHN LEACH MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
// THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
// IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
// NON-INFRINGEMENT. JOHN LEACH SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED
// BY A LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING THIS SOFTWARE
// OR ITS DERIVATIVES.
//

package jclass;

/**
 * This exception is thrown if the parser fails to decode a Java <tt>.class</tt>
 * file.
 *
 * @version 1.0, 20 June 1996
 * @author  <a href="mailto:leachj@easy1.easynet.it">John Leach</a>
**/

public class ClassException extends Exception {

 /**
  * Creates a ClassException with no specified detail message.
 **/

 public ClassException() {
  super();
  }

 /**
  * Creates a ClassException with the specified detail message.
  * @param s the detail message
 **/

 public ClassException(String s) {
  super(s);
  }
 }
